Skip to main content
GET
/
google-drives
List Google Drive data sources
curl --request GET \
  --url https://developer.qaip.com/api/v1/google-drives \
  --header 'x-api-key: <api-key>'
{
  "google_drives": [
    {
      "id": "<string>",
      "name": "<string>",
      "folder_url": "<string>",
      "status": "unknown",
      "ingestion_setting_id": "<string>",
      "creation_time": 123,
      "start_time": 123,
      "end_time": 123,
      "error": {
        "title": "<string>",
        "message": "<string>"
      }
    }
  ],
  "pagination": {
    "limit": 123,
    "has_more": true,
    "total": 123,
    "next_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: 1 <= x <= 100
after_id
string<uuid>

Fetch records after this ID

Response

Successful retrieval of Google Drive data sources

google_drives
object[]
required
pagination
object
required